#ifndef CONF_H
#define CONF_H

#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <stddef.h>
#include <string.h>

typedef struct CONF {
    char *DAEMON;
    int TIME;

    int REFUSE_NUMBER;

    int IS_MAIL;

    int IS_DING_WEBHOOK;
    char *PHONE;
    char *DING_WEBHOOK;

    int IS_QQMAIL;
    char *SEND_QQ;
    char *QQMAIL_KEY;
    char *RECV_MAIL;
} conf;

void read_conf(char *filename, conf * configure);
void free_conf(conf * conf);
void ptintf_conf(conf * conf);

#endif
